#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os

from setuptools import find_packages, setup


def parse_requirements(path):
    assert os.path.exists(path), "Missing requirements {}".format(path)
    with open(path) as f:
        return list(map(str.strip, f.read().splitlines()))


setup(
    name="teklia-dan",
    version=open("VERSION").read(),
    description="Teklia DAN",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    author="Teklia",
    author_email="contact@teklia.com",
    url="https://gitlab.com/teklia/atr/dan",
    install_requires=parse_requirements("requirements.txt"),
    packages=find_packages(),
    entry_points={
        "console_scripts": [
            "teklia-dan=dan.cli:main",
        ]
    },
    extras_require={"docs": parse_requirements("doc-requirements.txt")},
)
